#
# spec file for package mozilla-xulrunner191 (Version 1.9.1.16)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2006-2010 Wolfgang Rosenauer
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define prefix /usr/%_lib/firefox

Name:           mozilla-xulrunner191
BuildRequires:  autoconf213 firefox3-gtk2-devel gcc-c++ libgnomeui-devel libidl-devel python-devel startup-notification-devel zip
# needed for brp-check-bytecode-version (jar, fastjar would do as well)
BuildRequires:  unzip
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
%if %suse_version > 1030
BuildRequires:  hunspell-devel
%endif
%if %suse_version > 1100
BuildRequires:  nss-shared-helper-devel
%endif
#%if %suse_version > 1110
#BuildRequires:  libproxy-devel
#%endif
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Version:        1.9.1.16
Release:        0.4.1
Summary:        Mozilla Runtime Environment 1.9.1
Url:            http://www.mozilla.org
Group:          Productivity/Other
Provides:       gecko191
%if %suse_version >= 1110
# this is needed to match this package with the kde4 helper package without the main package
# having a hard requirement on the kde4 package
%define kde_helper_version 6
Provides:       mozilla-kde4-version = %{kde_helper_version}
Provides:       mozilla-xulrunner191-kde4-version = %{kde_helper_version}
%endif
%ifarch %ix86
Provides:       mozilla-xulrunner191-32bit = %{version}-%{release}
%endif
Source:         xulrunner-source-%{version}.tar.bz2
Source1:        l10n-%{version}.tar.bz2
Source2:        find-external-requires.sh
Source3:        %{name}-rpmlintrc
Source4:        xulrunner-openSUSE-prefs.js
Source5:        add-plugins.sh.in
Source6:        create-tar.sh
Source7:        baselibs.conf
Source8:        toolkit-lockdown.js
Patch1:         toolkit-download-folder.patch
Patch2:         mozilla-libproxy.patch
Patch3:         mozilla-pkgconfig.patch
Patch4:         idldir.patch
Patch5:         mozilla-path_len.patch
Patch7:         mozilla-nongnome-proxies.patch
Patch8:         mozilla-helper-app.patch
Patch9:         mozilla-system-hunspell.patch.bz2
Patch10:        mozilla-abi.patch
Patch12:        mozilla-prefer_plugin_pref.patch
Patch15:        mozilla-pyxpcom.patch
# PATCH-FEATURE-SLED FATE#302023, FATE#302024
Patch16:        gconf-backend.patch.bz2
Patch17:        gecko-lockdown.patch
Patch18:        toolkit-ui-lockdown.patch
Patch22:        mozilla-shared-nss-db.patch
Patch24:        mozilla-startup-notification.patch
Patch50:        mozilla-dbus-api-subject-to-change.patch
Patch51:        add-gtk210-path-to-run-mozilla-sh.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         libstdc++ expat firefox3-pango xorg-x11-libs fontconfig freetype2
PreReq:         firefox3-gtk2 firefox3-atk firefox3-glib2 update-alternatives coreutils
### build configuration ###
%define has_system_nspr  1
%define has_system_nss   1
%define has_system_cairo 0
%define localize 1
%if %suse_version > 1110
%define has_system_cairo 1
%endif
%define releasedate 2010120700
%define version_internal %{version}
%define apiversion 1.9.1
# ARTIFICIAL BUMP to switch to apiversion from version_internal
# no need to bump the uaweight within same apiversion
# for future apiversions like 1.9.3 we can go with 193000
%define uaweight 191160
### configuration end ###
%define _use_internal_dependency_generator 0
%define __find_requires sh %{SOURCE2}
%if %has_system_nspr
BuildRequires:  mozilla-nspr-devel
Requires:       mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
%endif
%if %has_system_nss
BuildRequires:  mozilla-nss-devel >= 3.12.8
Requires:       mozilla-nss >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss)
%endif
Recommends:     %{name}-gnomevfs

%description
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        XULRunner/Gecko SDK 1.9.1
Group:          Development/Libraries/Other
%if %has_system_nspr
Requires:       mozilla-nspr-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr-devel)
%endif
%if %has_system_nss
Requires:       mozilla-nss-devel >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss-devel)
%endif
PreReq:         %{name} = %{version}

%description devel
Software Development Kit to embed XUL or Gecko into other applications.



%package translations
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Translations for XULRunner 1.9.1
Group:          System/Localization
PreReq:         %{name} = %{version}
Provides:       locale(%{name}:af;ar;as;be;bg;bn_BD;bn_IN;ca;cs;cy;da;de;el;en_GB;eo;es_AR;es_CL;es_ES;ex_MX;et;eu;fa;fi;fr;fy_NL;ga_IE;gl;gu_IN;he;hi_IN;hr;hu;id;is;it;ja;ka;kk;kn;ko;ku;lt;lv;mk;ml;mr;nb_NO;nl;nn_NO;oc;or;pa_IN;pl;pt_BR;pt_PT;rm;ro;ru;si;sk;sl;sq;sr;sv_SE;ta;ta_LK;te;th;uk;vi;zh_CN;zh_TW)
# from OBS and 11.0beta updates
Provides:       %{name}-lang = %{version}
Obsoletes:      %{name}-lang < %{version}

%description translations
XULRunner is a single installable package that can be used to bootstrap
multiple XUL+XPCOM applications that are as rich as Firefox and
Thunderbird.

This package contains all supported languages but en-US which is
delivered in the main package.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%package gnomevfs
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        XULRunner components depending on gnome-vfs
Group:          Productivity/Other
PreReq:         %{name} = %{version}-%{release}

%description gnomevfs
This subpackage contains the Necko Gnome-VFS and Gnome components which
rely on the gnome-vfs subsystem to be installed. They are recommended
for full desktop integration but not mandatory for small disk footprint
KDE installations for example.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%package -n python-xpcom191
License:        GPL v2 or later; LGPL v2.1 or later; MOZILLA PUBLIC LICENSE (MPL/NPL)
Summary:        Python XPCOM bindings
Group:          Development/Languages/Python
Provides:       python-xpcom
Conflicts:      python-xpcom190 python-xpcom192
PreReq:         %{name} = %{version}-%{release}
%py_requires

%description -n python-xpcom191
This package contains the libraries and Python modules necessary to use
Mozilla XulRunner's XPCOM.



Authors:
--------
    Mozilla Foundation <drivers@mozilla.org>

%prep
%setup -n mozilla -q -b 1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4
%patch5 -p1
%patch7
%patch8 -p1
pushd extensions
%patch9
popd
%patch10 -p1
%patch12 -p1
%patch15
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch22 -p1
%patch24 -p1
%if %suse_version >= 1110
%endif
%patch50 -p1
%patch51 -p1

%build
%if %suse_version >= 1110
%endif
export LD_LIBRARY_PATH=%{prefix}/%_lib:$LD_LIBRARY_PATH
export PKG_CONFIG_PATH=%{prefix}/%_lib/pkgconfig:$PKG_CONFIG_PATH
export PATH=%{prefix}/bin:$PATH
MOZ_APP_DIR=%{_libdir}/xulrunner-%{version_internal}
export MOZ_BUILD_DATE=%{releasedate}
export CFLAGS="$RPM_OPT_FLAGS -Os -fno-strict-aliasing"
%ifarch ppc64
export CFLAGS="$CFLAGS -mminimal-toc"
%endif
# 10.3-x86_64 build fails probably because gcc bug
%if %suse_version == 1030
%ifarch x86_64
export ac_cv_visibility_hidden="no"
%endif
%endif
export CXXFLAGS="$CFLAGS"
#export LDFLAGS="-Wl,-rpath -Wl,${MOZ_APP_DIR}"
FIREFOX3_GTK_PATH=%{prefix}/%{_lib}  
export LDFLAGS="-Wl,-rpath -Wl,${MOZ_APP_DIR} -Wl,-rpath-link,${FIREFOX3_GTK_PATH} -L${FIREFOX3_GTK_PATH}"  
export MOZCONFIG=$RPM_BUILD_DIR/mozconfig
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_MILESTONE_RELEASE=1
#
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MILESTONE_RELEASE=1
mk_add_options MOZ_MAKE_FLAGS=%{?jobs:-j%jobs}
. \$topsrcdir/xulrunner/config/mozconfig
ac_add_options --prefix=%{_prefix}
ac_add_options --libdir=%{_libdir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --mandir=%{_mandir}
ac_add_options --includedir=%{_includedir}
ac_add_options --enable-optimize
ac_add_options --enable-extensions=python,default
ac_add_options --with-system-jpeg
#ac_add_options --with-system-png # no APNG support
ac_add_options --with-system-zlib
ac_add_options --with-l10n-base=../l10n
ac_add_options --enable-xft
ac_add_options --disable-freetype2
ac_add_options --enable-svg
ac_add_options --enable-canvas
ac_add_options --disable-tests
ac_add_options --disable-mochitest
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-crashreporter
ac_add_options --enable-startup-notification
ac_add_options --enable-url-classifier
#ac_add_options --enable-debug
EOF
%if %has_system_nspr
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nspr
EOF
%endif
%if %has_system_nss
cat << EOF >> $MOZCONFIG
ac_add_options --with-system-nss
EOF
%endif
%if %has_system_cairo
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-cairo
EOF
%endif
%ifarch s390x
cat << EOF >> $MOZCONFIG
ac_add_options --disable-jemalloc
EOF
%endif
%if %suse_version > 1030
cat << EOF >> $MOZCONFIG
ac_add_options --enable-system-hunspell
EOF
%endif
#%if %suse_version > 1100
#cat << EOF >> $MOZCONFIG
#ac_add_options --enable-system-sqlite
#EOF
#%endif
#%if %suse_version > 1110
#cat << EOF >> $MOZCONFIG
#ac_add_options --enable-libproxy
#EOF
#%endif
make -f client.mk build

%install
%makeinstall STRIP=/bin/true
# remove some executable permissions
find $RPM_BUILD_ROOT%{_includedir}/xulrunner-%{version_internal} \
     -type f -perm -111 -exec chmod a-x {} \;
find $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/ \
     -name "*.js" -o -name "*.xpm" -o -name "*.png" | xargs chmod a-x
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/extensions
# fixing SDK dynamic libs (symlink instead of copy)
rm $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/*.so
ln -sf ../../../xulrunner-%{version_internal}/libmozjs.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
ln -sf ../../../xulrunner-%{version_internal}/libxpcom.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
ln -sf ../../../xulrunner-%{version_internal}/libxul.so \
       $RPM_BUILD_ROOT%{_libdir}/xulrunner-devel-%{version_internal}/sdk/lib/
# XPI example
#cp -rL dist/xpi-stage/simple $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/
# preferences
cp %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/greprefs/all-openSUSE.js
cp %{SOURCE8} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/greprefs/lockdown.js
# install add-plugins.sh
sed "s:%%PROGDIR:%{_libdir}/xulrunner-%{version_internal}:g" \
  %{SOURCE5} > $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
chmod 755 $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
# 64bit classification for GRE config
%ifarch x86_64 s390x ppc64
mv $RPM_BUILD_ROOT%{_sysconfdir}/gre.d/%{version_internal}.system.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/gre.d/%{version_internal}-64bit.system.conf
%endif
# ghosts
touch $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/global.reginfo
# install additional locales
%if %localize
rm -f %{_tmppath}/translations.list
for locale in $(awk '{ print $1; }' browser/locales/shipped-locales); do
  case $locale in
   ja-JP-mac|en-US)
      ;;
   *)
      make -C toolkit/locales libs-$locale
      cp dist/xpi-stage/locale-$locale/chrome/$locale.jar \
         $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/chrome
      cp dist/xpi-stage/locale-$locale/chrome/$locale.manifest \
         $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/chrome
      echo %{_libdir}/xulrunner-%{version_internal}/chrome/$locale.jar \
         >> %{_tmppath}/translations.list
      echo %{_libdir}/xulrunner-%{version_internal}/chrome/$locale.manifest \
         >> %{_tmppath}/translations.list
  esac
done
%endif
# API symlink
ln -sf xulrunner-%{version_internal} $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{apiversion}
# compat links
%if 0%{?ga_version:1}
touch $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{ga_version}
%endif
# moving Python stuff
mkdir -p $RPM_BUILD_ROOT%{py_sitedir}/
cp -r $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/python/* \
      $RPM_BUILD_ROOT%{py_sitedir}/ && \
  rm -rf $RPM_BUILD_ROOT/%{_libdir}/xulrunner-%{version_internal}/python
# excludes
rm -f $RPM_BUILD_ROOT%{_bindir}/xulrunner
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/updater
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/update.locale
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/LICENSE
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/README.txt
rm -f $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/dictionaries/en-US*
# autoreg
touch $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/.autoreg
# fdupes
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT%{_includedir}/xulrunner-%{version_internal}/
%fdupes $RPM_BUILD_ROOT%{_libdir}/xulrunner-%{version_internal}/
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %localize
rm -rf %{_tmppath}/translations.list
%endif

%post
/usr/sbin/update-alternatives --install %{_bindir}/xulrunner \
  xulrunner %{_libdir}/xulrunner-%{version_internal}/xulrunner %{uaweight} || :
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%posttrans
# needed for updates which transition directory to symlink
%if 0%{?ga_version:1} 
test -d %{_libdir}/xulrunner-%{ga_version} && rm -rf %{_libdir}/xulrunner-%{ga_version}
ln -sf xulrunner-%{version_internal} %{_libdir}/xulrunner-%{ga_version}
%endif
[ -e %{_libdir}/xulrunner-%{version_internal}/add-plugins.sh ] && \
  %{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%preun
if [ "$1" = "0" ]; then # deinstallation
  # that's not quite nice since old versions should be removed on update as well
  # but that's problematic for updates w/o raising the version number
  /usr/sbin/update-alternatives --remove xulrunner %{_libdir}/xulrunner-%{version_internal}/xulrunner
fi
rm -f %{_libdir}/xulrunner-%{version_internal}/dictionaries/*
exit 0

%triggerin -- myspell-dictionary
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%triggerpostun -- myspell-dictionary
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh > /dev/null 2>&1
exit 0

%post gnomevfs
touch %{_libdir}/xulrunner-%{version_internal}/.autoreg
exit 0

%files
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/
%dir %{_libdir}/xulrunner-%{version_internal}/dictionaries/
%dir %{_libdir}/xulrunner-%{version_internal}/extensions/
%{_libdir}/xulrunner-%{version_internal}/chrome/classic.*
%{_libdir}/xulrunner-%{version_internal}/chrome/comm.*
%{_libdir}/xulrunner-%{version_internal}/chrome/en-US.*
%{_libdir}/xulrunner-%{version_internal}/chrome/pippki.*
%{_libdir}/xulrunner-%{version_internal}/chrome/toolkit.*
%{_libdir}/xulrunner-%{version_internal}/chrome/icons/
%{_libdir}/xulrunner-%{version_internal}/components/
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libmozgnome.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libnkgnomevfs.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libsystem-pref-gconf.so
%{_libdir}/xulrunner-%{version_internal}/defaults/
%dir %{_libdir}/xulrunner-%{version_internal}/greprefs/
%{_libdir}/xulrunner-%{version_internal}/greprefs/all.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/security-prefs.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/xpinstall.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/all-openSUSE.js
%{_libdir}/xulrunner-%{version_internal}/greprefs/lockdown.js
%{_libdir}/xulrunner-%{version_internal}/icons/
%{_libdir}/xulrunner-%{version_internal}/modules/
%{_libdir}/xulrunner-%{version_internal}/plugins/
%{_libdir}/xulrunner-%{version_internal}/res/
%{_libdir}/xulrunner-%{version_internal}/*.so
%{_libdir}/xulrunner-%{version_internal}/.autoreg
%{_libdir}/xulrunner-%{version_internal}/add-plugins.sh
%{_libdir}/xulrunner-%{version_internal}/dependentlibs.list
%{_libdir}/xulrunner-%{version_internal}/mozilla-xremote-client
%if !%has_system_nss
%{_libdir}/xulrunner-%{version_internal}/libsoftokn3.chk
%{_libdir}/xulrunner-%{version_internal}/libfreebl3.chk
%endif
%{_libdir}/xulrunner-%{version_internal}/run-mozilla.sh
%{_libdir}/xulrunner-%{version_internal}/xulrunner
%{_libdir}/xulrunner-%{version_internal}/xulrunner-bin
%{_libdir}/xulrunner-%{version_internal}/xulrunner-stub
%{_libdir}/xulrunner-%{version_internal}/platform.ini
#%{_libdir}/xulrunner-%{version_internal}/javaxpcom.jar
%exclude %{_libdir}/xulrunner-%{version_internal}/libpy*.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/libpy*.so
%exclude %{_libdir}/xulrunner-%{version_internal}/components/pyabout.py
# ghosts
%ghost %{_libdir}/xulrunner-%{version_internal}/global.reginfo
# GRE
%dir %{_sysconfdir}/gre.d/
%attr(644,root,root) %{_sysconfdir}/gre.d/*
# example
#%{_libdir}/xulrunner-%{version_internal}/simple/
# API symlink
%{_libdir}/xulrunner-%{apiversion}
# compat symlinks
%if 0%{?ga_version:1} 
%ghost %{_libdir}/xulrunner-%{ga_version}
%endif

%files devel
%defattr(-,root,root)
#%{_libdir}/xulrunner-%{version_internal}/MozillaInterfaces*
%{_libdir}/xulrunner-%{version_internal}/xpcshell
%{_libdir}/xulrunner-%{version_internal}/xpidl
%{_libdir}/xulrunner-%{version_internal}/xpt_dump
%{_libdir}/xulrunner-%{version_internal}/xpt_link
%{_libdir}/xulrunner-devel-%{version_internal}/
# FIXME symlink dynamic libs below sdk/lib
%attr(644,root,root) %{_libdir}/pkgconfig/*
%{_includedir}/xulrunner-%{version_internal}/

%files gnomevfs
%defattr(-,root,root)
%{_libdir}/xulrunner-%{version_internal}/components/libmozgnome.so
%{_libdir}/xulrunner-%{version_internal}/components/libnkgnomevfs.so
%{_libdir}/xulrunner-%{version_internal}/components/libsystem-pref-gconf.so
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/

%files -n python-xpcom191
%defattr(-,root,root)
%{_libdir}/xulrunner-%{version_internal}/libpyxpcom.so
%{_libdir}/xulrunner-%{version_internal}/components/libpydom.so
%{_libdir}/xulrunner-%{version_internal}/components/libpyloader.so
%{_libdir}/xulrunner-%{version_internal}/components/pyabout.py
%{py_sitedir}/nsdom/
%{py_sitedir}/xpcom/

%if %localize

%files translations -f %{_tmppath}/translations.list
%defattr(-,root,root)
%dir %{_libdir}/xulrunner-%{version_internal}/
%dir %{_libdir}/xulrunner-%{version_internal}/chrome/
%endif

%changelog
* Fri Dec 10 2010 pcerny@novell.com
- security update to 1.9.1.16 (bnc#657016)
  * MFSA 2010-74/CVE-2010-3776/CVE-2010-3777/CVE-2010-3778
    Miscellaneous memory safety hazards (rv:1.9.2.13/ 1.9.1.16)
  * MFSA 2010-75/CVE-2010-3769 (bmo#608336)
    Buffer overflow while line breaking after document.write with
    long string
  * MFSA 2010-76/CVE-2010-3771 (bmo#609437)
    Chrome privilege escalation with window.open and <isindex>
    element
  * MFSA 2010-77/CVE-2010-3772 (bmo#594547)
    Crash and remote code execution using HTML tags inside a XUL
    tree
  * MFSA 2010-78/CVE-2010-3768 (bmo#527276)
    Add support for OTS font sanitizer
  * MFSA 2010-79/CVE-2010-3775
    Java security bypass from LiveConnect loaded via data: URL
    meta refresh
  * MFSA 2010-80/CVE-2010-3766 (bmo#590771)
    Use-after-free error with nsDOMAttribute MutationObserver
  * MFSA 2010-81/CVE-2010-3767 (bmo#599468)
    Integer overflow vulnerability in NewIdArray
  * MFSA 2010-82/CVE-2010-3773 (bmo#554449)
    Incomplete fix for CVE-2010-0179
  * MFSA 2010-83/VE-2010-3774 (bmo#602780)
    Location bar SSL spoofing using network error page
  * MFSA 2010-84/CVE-2010-3770 (bmo#601429)
    XSS hazard in multiple character encodings
* Wed Oct 27 2010 dmueller@suse.de
- security update to 1.9.1.15 (bnc#645315)
  * CVE-2010-3765
* Wed Oct 27 2010 dmueller@suse.de
- security update to version 1.9.1.14 (bnc#645315)
  * MFSA 2010-64/CVE-2010-3174/CVE-2010-3175/CVE-2010-3176
    Miscellaneous memory safety hazards
  * MFSA 2010-65/CVE-2010-3179 (bmo#583077)
    Buffer overflow and memory corruption using document.write
  * MFSA 2010-66/CVE-2010-3180 (bmo#588929)
    Use-after-free error in nsBarProp
  * MFSA 2010-67/CVE-2010-3183 (bmo#598669)
    Dangling pointer vulnerability in LookupGetterOrSetter
  * MFSA 2010-68/CVE-2010-3177 (bmo#556734)
    XSS in gopher parser when parsing hrefs
  * MFSA 2010-69/CVE-2010-3178 (bmo#576616)
    Cross-site information disclosure via modal calls
  * MFSA 2010-70/CVE-2010-3170 (bmo#578697)
    SSL wildcard certificate matching IP addresses
  * MFSA 2010-71/CVE-2010-3182 (bmo#590753)
    Unsafe library loading vulnerabilities
  * MFSA 2010-72/CVE-2010-3173
    Insecure Diffie-Hellman key exchange
* Fri Jul 16 2010 wr@rosenauer.org
- security update to version 1.9.1.11 (bnc#622506)
  * MFSA 2010-34/CVE-2010-1211/CVE-2010-1212
    Miscellaneous memory safety hazards
  * MFSA 2010-35/CVE-2010-1208 (bmo#572986)
    DOM attribute cloning remote code execution vulnerability
  * MFSA 2010-36/CVE-2010-1209 (bmo#552110)
    Use-after-free error in NodeIterator
  * MFSA 2010-37/CVE-2010-1214 (bmo#572985)
    Plugin parameter EnsureCachedAttrParamArrays remote code
    execution vulnerability
  * MFSA 2010-39/CVE-2010-2752 (bmo#574059)
    nsCSSValue::Array index integer overflow
  * MFSA 2010-40/CVE-2010-2753 (bmo#571106)
    nsTreeSelection dangling pointer remote code execution
    vulnerability
  * MFSA 2010-41/CVE-2010-1205 (bmo#570451)
    Remote code execution using malformed PNG image
  * MFSA 2010-42/CVE-2010-1213 (bmo#568148)
    Cross-origin data disclosure via Web Workers and importScripts
  * MFSA 2010-45/CVE-2010-1206/CVE-2010-2751 (bmo#536466,556957)
    Multiple location bar spoofing vulnerabilities
  * MFSA 2010-46/CVE-2010-0654 (bmo#524223)
    Cross-domain data theft using CSS
  * MFSA 2010-47/CVE-2010-2754 (bmo#568564)
    Cross-origin data leakage from script filename in error messages
* Fri Jun 25 2010 wr@rosenauer.org
- security update to version 1.9.1.10 (bnc#603356)
  * MFSA 2010-25/CVE-2010-1121 (bmo#555109)
    Re-use of freed object due to scope confusion
  * MFSA 2010-26/CVE-2010-1200/CVE-2010-1201/CVE-2010-1202/
    CVE-2010-1203
    Crashes with evidence of memory corruption (rv:1.9.1.10)
  * MFSA 2010-27/CVE-2010-0183 (bmo#557174)
    Use-after-free error in nsCycleCollector::MarkRoots()
  * MFSA 2010-28/CVE-2010-1198 (bmo#532246)
    Freed object reuse across plugin instances
  * MFSA 2010-29/CVE-2010-1196 (bmo#534666)
    Heap buffer overflow in nsGenericDOMDataNode::SetTextInternal
  * MFSA 2010-30/CVE-2010-1199 (bmo#554255)
    Integer Overflow in XSLT Node Sorting
  * MFSA 2010-31/CVE-2010-1125 (bmo#552255)
    focus() behavior can be used to inject or steal keystrokes
  * MFSA 2010-32/CVE-2010-1197 (bmo#537120)
    Content-Disposition: attachment ignored if
    Content-Type: multipart also present
  * MFSA 2010-33/CVE-2008-5913 (bmo#475585)
    User tracking across sites using Math.random()
* Wed Mar 17 2010 wr@rosenauer.org
- security update to version 1.9.1.9 (bnc#586567)
  * MFSA 2010-16/CVE-2010-0173/CVE-2010-0174
    Crashes with evidence of memory corruption
  * MFSA 2010-17/CVE-2010-0175 (bmo#540100,375928)
    Remote code execution with use-after-free in nsTreeSelection
  * MFSA 2010-18/CVE-2010-0176 (bmo#538308)
    Dangling pointer vulnerability in nsTreeContentView
  * MFSA 2010-19/CVE-2010-0177 (bmo#538310)
    Dangling pointer vulnerability in nsPluginArray
  * MFSA 2010-20/CVE-2010-0178 (bmo#546909)
    Chrome privilege escalation via forced URL drag and drop
  * MFSA 2010-22/CVE-2009-3555 (bmo#545755)
    Update NSS to support TLS renegotiation indication
  * MFSA 2010-23/CVE-2010-0181 (bmo#452093)
    Image src redirect to mailto: URL opens email editor
  * MFSA 2010-24/CVE-2010-0182 (bmo#490790)
    XMLDocument::load() doesn't check nsIContentPolicy
- clean up correctly on update (bnc#589094)
* Fri Feb  5 2010 wr@rosenauer.org
- update to version 1.9.1.8 (bnc#576969)
  * MFSA-2010-01/CVE-2010-0159
    Crashes with evidence of memory corruption
  * MFSA-2010-02/CVE-2010-0160
    Web Worker Array Handling Heap Corruption Vulnerability
  * MFSA-2010-03/CVE-2009-1571 (bmo#526500)
    Use-after-free crash in HTML parser
  * MFSA-2010-04/CVE-2009-3988 (bmo#504862)
    XSS due to window.dialogArguments being readable cross-domain
  * MFSA-2010-05/CVE-2010-0162 (bmo#455472)
    XSS hazard using SVG document and binary Content-Type
* Fri Dec 25 2009 wr@rosenauer.org
- update to version 1.9.1.7 (bnc#568011)
  * DNS resolution in MakeSN of nsAuthSSPI causing issues for
    proxy servers that support NTLM auth (bmo#535193)
- added missing lockdown preferences (bnc#567131)
* Thu Dec 17 2009 wr@rosenauer.org
- add baselibs.conf to source package
* Thu Dec 17 2009 bgmerrell@novell.com
- Make some changes to gconf-backend.patch.bz2
  * Gconf preferences overwrite Mozilla preferences when Firefox
    loads (instead of vice versa).
  * Check to make sure gconf keys are writable before attempting
    to write to them (bnc#544547)
  * Change "My Downloads" to "Downloads", as "My Downloads" isn't
    used anymore
  More information at bmo#321315 comment 25.
* Fri Dec  4 2009 wr@rosenauer.org
- security update to version 1.9.1.6 (bnc#559807)
  * MFSA 2009-65/CVE-2009-3979/CVE-2009-3980/CVE-2009-3982
    Crashes with evidence of memory corruption (rv:1.9.1.6)
  * MFSA 2009-66/CVE-2009-3388 (bmo#504843,bmo#523816)
    Memory safety fixes in liboggplay media library
  * MFSA 2009-67/CVE-2009-3389 (bmo#515882,bmo#504613)
    Integer overflow, crash in libtheora video library
  * MFSA 2009-68/CVE-2009-3983 (bmo#487872)
    NTLM reflection vulnerability
  * MFSA 2009-69/CVE-2009-3984/CVE-2009-3985 (bmo#521461,bmo#514232)
    Location bar spoofing vulnerabilities
  * MFSA 2009-70/VE-2009-3986 (bmo#522430)
    Privilege escalation via chrome window.opener
- use internal cairo up to 11.1
- provide mozilla-kde4-version to make KDE helper version
  more version independent
- use .autoreg file for autoregistration when needed (bnc#440872)
* Tue Nov 24 2009 wr@rosenauer.org
- added mozilla-clipboard.patch fixing a common crash
  (bmo#495392, bnc#556886)
* Mon Nov 23 2009 llunak@novell.com
- KDE, use mimetype for opening url if known (bnc#556156)
* Mon Nov 16 2009 llunak@novell.com
- fix KDE filepicker (bnc#548267,bnc#555438)
* Fri Nov 13 2009 llunak@novell.com
- avoid possible deadlock with KDE integration (bnc#555202)
* Thu Nov  5 2009 wr@rosenauer.org
- update to version 1.9.1.5 (bnc#553172)
- strip unneeded update-desktop-files from BuildRequires
* Sun Oct 18 2009 wr@rosenauer.org
- security update to version 1.9.1.4 (bnc#545277)
  * MFSA 2009-52/CVE-2009-3370 (bmo#511615)
    Form history vulnerable to stealing
  * MFSA 2009-53/CVE-2009-3274 (bmo#514823)
    Local downloaded file tampering
  * MFSA 2009-54/CVE-2009-3371 (bmo#514554)
    Crash with recursive web-worker calls
  * MFSA 2009-55/CVE-2009-3372 (bmo#500644)
    Crash in proxy auto-configuration regexp parsing
  * MFSA 2009-56/CVE-2009-3373 (bmo#511689)
    Heap buffer overflow in GIF color map parser
  * MFSA 2009-57/CVE-2009-3374 (bmo#505988)
    Chrome privilege escalation in XPCVariant::VariantDataToJS()
  * MFSA 2009-59/CVE-2009-1563 (bmo#516396, bmo#516862)
    Heap buffer overflow in string to number conversion
  * MFSA 2009-61/CVE-2009-3375 (bmo#503226)
    Cross-origin data theft through document.getSelection()
  * MFSA 2009-62/CVE-2009-3376 (bmo#511521)
    Download filename spoofing with RTL override
  * MFSA 2009-63/CVE-2009-3377/CVE-2009-3379/CVE-2009-3378
    Upgrade media libraries to fix memory safety bugs
  * MFSA 2009-64/CVE-2009-3380/CVE-2009-3381/CVE-2009-3383
    Crashes with evidence of memory corruption
- removed upstreamed patches
  * mozilla-protocol_handler.patch
  * mozilla-sysplugin-biarch.patch
- removed unneeded PreReq and morphed some to usual Requires
* Mon Oct 12 2009 wr@rosenauer.org
- fix startup notification (bnc#518603)
- disable lockdown feature as it bitrotted and breaks a11y
  (bnc#508611)
* Thu Oct  8 2009 bgmerrell@novell.com
- The jemalloc allocator does not work on sles10 s390x.  A check
  has been added to the spec file to disable jemalloc for the
  s390x architecture (bnc#534458).
* Fri Oct  2 2009 wr@rosenauer.org
- extend list of supported architectures as ABI identifier
  (mozilla-abi.patch) (bnc#543460)
- prepare (but not use) libproxy implementation
* Wed Sep 16 2009 pwu@suse.de
- Fixes GTK_PATH and GTK_PATH64 environment variables in run-mozilla.sh.
  And add a new environment variable GTK210_BROKEN to avoid loading
  broken gtk2 2.4.0 modules. (Fixes bnc#516713.)
* Wed Sep 16 2009 pwu@suse.de
- Fixes xulrunner scripts to add gtk 2.10 library path.
  Required by bnc#513884.
  Add a patch add-gtk210-path-to-run-mozilla-sh.patch.
* Wed Sep 16 2009 kukuk@suse.de
- Fix baselibs.conf syntax
* Wed Sep 16 2009 kukuk@suse.de
- Add missing PreReqs for firefox3-* packages in baselibs.conf
* Fri Sep 11 2009 wr@rosenauer.org
- minor update of mozilla-helper-app.patch
* Thu Sep 10 2009 wr@rosenauer.org
- security update to version 1.9.1.3 (bnc#534458)
  * MFSA 2009-47/CVE-2009-3069/CVE-2009-3070/CVE-2009-3071/
    CVE-2009-3072/CVE-2009-3073/CVE-2009-3074/CVE-2009-3075
    Crashes with evidence of memory corruption
  * MFSA 2009-49/CVE-2009-3077 (bmo#506871)
    TreeColumns dangling pointer vulnerability
  * MFSA 2009-50/CVE-2009-3078 (bmo#453827)
    Location bar spoofing via tall line-height Unicode characters
  * MFSA 2009-51/CVE-2009-3079 (bmo#454363)
    Chrome privilege escalation with FeedWriter
- removed obsolete mozilla-jemalloc_deepbind.patch
* Fri Aug 21 2009 bgmerrell@novell.com
- Edit grep pattern in add-gtk210-path-to-run-mozilla-sh.patch
  so Firefox will run on s390/s390x.  Fixes bnc#527778.
* Thu Aug 20 2009 bgmerrell@novell.com
- Add mozilla-dbus-api-subject-to-change.patch, which is now
  required to build xulrunner against an older version of dbus.
* Thu Aug 20 2009 bgmerrell@novell.com
- Add add-gtk210-path-to-run-mozilla-sh.patch to export the
  appropriate (path and Gtk-related) environment variables to
  xulrunner's mozilla/build/unix/run-mozilla.sh script.  This
  patch also addresses bnc#516713.
* Wed Aug 19 2009 wr@rosenauer.org
- remove obsolete code for protocol handlers (bmo#389732)
  (mozilla-protocol_handler.patch)
* Fri Aug  7 2009 wr@rosenauer.org
- split -translations package into -common and -other
  (bnc#529180)
* Sun Aug  2 2009 wr@rosenauer.org
- security update to version 1.9.1.2
  * MFSA 2009-38/CVE-2009-2470 (bmo#459524)
    Data corruption with SOCKS5 reply containing DNS name longer
    than 15 characters
  * MFSA 2009-44/CVE-2009-2654 (bmo#451898)
    Location bar and SSL indicator spoofing via window.open() on
    invalid URL
  * MFSA 2009-45
    Crashes with evidence of memory corruption
  * MFSA 2009-46 (bmo#498897)
    Chrome privilege escalation due to incorrectly cached wrapper
  * various other stability fixes
- removed obsolete mozilla-restart-cmd.patch
  (applications now have to export MOZ_APP_LAUNCHER to set the
  correct restart command) (bmo#453689)
- allow alternative button order for Gtk filechooser (bnc#527418)
* Tue Jul 28 2009 wr@rosenauer.org
- fixed %%exclude usage
* Wed Jul 15 2009 wr@rosenauer.org
- security update to version 1.9.1.1
  * MFSA 2009-41
    Corrupt JIT state after deep return from native function
* Wed Jul  8 2009 wr@rosenauer.org
- fixed mozilla-sysplugin-biarch.patch to accept 64bit plugins in
  /usr/lib64/mozilla/plugins
* Thu Jul  2 2009 wr@rosenauer.org
- added mozilla-jemalloc_deepbind.patch to fix various possible
  crashes (bnc#503151, bmo#493541)
* Tue Jun 30 2009 wr@rosenauer.org
- update to final 1.9.1.0 (20090623)
* Fri Jun 19 2009 wr@rosenauer.org
- removed locale.patch and added the pref to build specific ones
- added mozilla-prefer_plugin_pref.patch to introduce a new set of
  prefs to support preferring certain plugins for mime-types
* Wed Jun 17 2009 wr@rosenauer.org
- update to 1.9.1rc2 (20090617)
  * added or locale
* Wed Jun 10 2009 wr@rosenauer.org
- removed outdated mozilla-deprecated-gtk-macros.patch for now
  to fix build
* Sat Jun  6 2009 wr@rosenauer.org
- update to 1.9.1b99 (20090604)
- adapted supported locale list
- added mozilla-sysplugin-biarch.patch to use
  /usr/$LIB/mozilla/plugins as system plugin dir (bmo#496708)
- added mozilla-deprecated-gtk-macros.patch to change GTK_macros
  to G_TYPE (bmo#461277)
* Fri May  8 2009 wr@rosenauer.org
- fixing rpath linker flags (part of bnc#501174)
- improved pkgconfig files
- use non-localized Downloads folder (bnc#501724)
* Mon Apr 27 2009 wr@rosenauer.org
- update to 1.9.1b4
- removed obsolete pango and gcc4.4 patches
- added newly supported locales
* Tue Mar 24 2009 wr@rosenauer.org
- add patch to compile with gcc 4.4 (bmo#483956)
* Tue Mar 17 2009 wr@rosenauer.org
- update to 1.9.1b3
- added Pango patch needed for API change (bmo#481193)
- make mozjs consumers using rpath to the correct location
  to find the library at runtime (bnc#479505)
- don't use system sqlite (missing FTS3 support)
* Mon Aug 25 2008 wr@rosenauer.org
- initial package
